// SPDX-FileCopyrightText: 2024 KylinSoft Co., Ltd.
//
// SPDX-License-Identifier: GPL-1.0-or-later

#include "kde-slide.h"

namespace QtWaylandClient
{

KdeSlideManager::KdeSlideManager(wl_registry *registry, uint32_t id, int version)
    : org_kde_kwin_slide_manager(registry, id, version)
{
}

KdeSlideManager::~KdeSlideManager() = default;

KdeSlide *KdeSlideManager::getKdeSlide(wl_surface *surface)
{
    return new KdeSlide(create(surface));
}

KdeSlide::KdeSlide(::org_kde_kwin_slide *kde_slide)
    : org_kde_kwin_slide(kde_slide)
{
}

KdeSlide::~KdeSlide()
{
    release();
}

} // namespace QtWaylandClient